

		.include "sh4_hwregs.i"
	
		.globl	start
	
		.text

	
		.align	5
start:
		mova	StartP2,r0		! Jump to P2 area
		mov.l	P2AndMask,r1
		mov.l	P2OrMask,r2
		and	r1,r0
		or	r2,r0
		jmp	@r0


		.align	5
StartP2:
		mov.l	CCRReg,r0		! Clear & enable I+D caches
		mov.l	CCRData,r1
		mov.l	r1,@r0

		mov.l	NewStack,r15		! Swap stackptr
		nop				! and wait for new cache
		nop				! settings to take effect
		nop
		nop
		nop
		nop
		nop
		nop
	
		mov.l	DCMain,r0		! Call main program,
		jsr	@r0			! switching to P1
		nop				! in the process
	
		
blah:
		bra	blah
		nop

	
		.align	5

P2AndMask:	.long	0x1fffffff
P2OrMask:	.long	0xa0000000

CCRReg:		.long	CCN_CCR
CCRData:	.long	CCR_ICI | CCR_ICE | CCR_OCI | CCR_OCE | CCR_CB

NewStack:	.long	0x8c000000 + 16*1024*1024 - 128
DCMain:		.long	_dc_main


