
VIDEOMEMORY_32BIT = 0xa5000000

PVR2REGS	= 0xa05f8000

COREID			= 0x00		! PVR2	Core ID
CORETYPE		= 0x01		! PVR2	Core version
COREDISABLE		= 0x02		! PVR2	Enable/disable the submodules of the PVR2 Core
RENDERSTART		= 0x05		! 3D	Start render strobe
PRIMALLOCBASE		= 0x08		! 3D	Primitive allocation base
TABASE			= 0x0b		! 3D	Tile Array base address
BORDERCOLOR		= 0x10		! 2D	Border colour
BITMAPTYPE		= 0x11		! 2D	Bitmap display settings
RENDERFORMAT		= 0x12		! 3D	Render output format
RENDERPITCH		= 0x13		! 3D	Render target pitch
FRAMEBUF		= 0x14		! 2D	Framebuffer address
FRAMEBUF2		= 0x15		! 2D	Framebuffer address, short field
DIWSIZE			= 0x17		! 2D	Display window size
RENDERBASE		= 0x18		! 3D	Render target base address
RENDERWINDOWX		= 0x1a		! 3D	Render output window X-start and X-stop
RENDERWINDOWY		= 0x1b		! 3D	Render output window Y-start and Y-stop
CHEAPSHADOWS		= 0x1d		! 3D	Cheap shadow enable + strength
CULLINGVALUE		= 0x1e		! 3D?	Minimum allowed polygon area
BGPLANE			= 0x23		! 3D	Background plane location
FOGTABLECOLOR		= 0x2c		! 3D	Fogging colour when using table fog
FOGVERTEXCOLOR		= 0x2d		! 3D	Fogging colour when using vertex fog
FOGDENSITY		= 0x2e		! 3D	Fog table scale factor
COLORCLAMPMAX		= 0x2f		! 3D	Maximum ARGB in render pipeline before fogging
COLORCLAMPMIN		= 0x30		! 3D	Minimum ARGB in render pipeline before fogging
SCANINTPOS		= 0x33		! 2D	Scanline interrupt position
IMAGECONTROL		= 0x34		! 2D	Image control stuff
BORDERWINDOWX		= 0x35		! 2D	Border-colour rectangle X-start and X-stop
FRAMETOTAL		= 0x36		! 2D	Total number of frame cycles
BORDERWINDOWY		= 0x37		! 2D	Border-colour rectangle Y-start and Y-stop
TEXTURESTRIDE		= 0x39		! 3D	Width of rectangular texture
BITMAPTYPE2		= 0x3a		! 2D	Bitmap display settings 2
DIWSTARTH		= 0x3b		! 2D	Bitmap window X-start
DIWSTARTV		= 0x3c		! 2D	Bitmap window Y-start
OUTPUTCOMPRESS		= 0x3d		! 3D	XY scaling/compression of rendering output
TEXTUREPALETTEMODE	= 0x42		! 3D	Texture palette mode
BEAMPOS			= 0x43		! 2D	Current raster beam position
PPMATRIXBASE		= 0x49		! TA	Root PP-block matrices base address
PRIMALLOCSTART		= 0x4a		! TA	Primitive allocation area start
PPALLOCSTART		= 0x4b		! TA	PP-block allocation area start
PRIMALLOCEND		= 0x4c		! TA	Primitive allocation area end
PPALLOCPOS		= 0x4d		! TA	Current PP-block allocation position
PRIMALLOCPOS		= 0x4e		! TA	Current primitive allocation position
TASIZE			= 0x4f		! TA	Tile Array dimensions
PPBLOCKSIZE		= 0x50		! TA	PP-block sizes
TASTART			= 0x51		! TA	Start vertex enqueueing strobe
PPALLOCEND		= 0x59		! TA	PP-block allocation area end
