
RENDER_LIST_OPAQUE		= 0
RENDER_LIST_OPAQUEMOD		= 1
RENDER_LIST_TRANSLUCENT		= 2
RENDER_LIST_TRANSLUCENTMOD	= 3
RENDER_LIST_PUNCHTHROUGH	= 4


RENDER_BUCKETSIZE_MASK	= 3
RENDER_BUCKETSIZE_0	= 0
RENDER_BUCKETSIZE_8	= 1
RENDER_BUCKETSIZE_16	= 2
RENDER_BUCKETSIZE_32	= 3


RENDER_0RGB1555		= 0
RENDER_ARGB1555		= 1
RENDER_RGB565		= 2
RENDER_ARGB4444		= 3
RENDER_RGB888		= 4
RENDER_0RGB8888		= 5
RENDER_ARGB8888		= 6
RENDER_ARGB4444		= 7


VertexBuffer_Base		= 0				! void*
VertexBuffer_Length		= 4				! int
VertexBuffer_CurrentWritePtr	= 8				! void*		Write ptr to SQ area
VertexBuffer_CurrentWriteArea	= 12				! int		Code to write to QACR0/1
VertexBuffer_CurrentFlushPos	= 16				! void*		Flush ptr to SQ area
VertexBuffer_SIZEOF		= 32				! Fixed at 32 bytes

RENDERSTATE_USEREOL		= 0x01

TASTATE_IDLE			= 0
TASTATE_ENQUEUEING		= 1
TASTATE_DONE			= 2

RENDERSTATE_IDLE		= 0
RENDERSTATE_PENDING		= 1
RENDERSTATE_RENDERING		= 2
RENDERSTATE_DONE		= 3

RenderState_Mode		= 0				! int8
RenderState_CurrentTAState	= 1				! int8
RenderState_CurrentRenderState	= 2				! int8
RenderState_CurrentTABufferIdx	= 3				! int8
RenderState_Current3DBufferIdx	= 4				! int8
RenderState_Current2DBufferIdx	= 5				! int8
RenderState_CurrentTABuffer	= 8				! RenderBuffer*
RenderState_Current3DBuffer	= 12				! RenderBuffer*
RenderState_Current2DBuffer	= 16				! RenderBuffer*
RenderState_CurrentDirectPath	= 20				! int
RenderState_FinishedPaths	= 24				! int
RenderState_SIZEOF		= 64

Render_BucketSizes		= 0				! int		Sizes of the individual buckets
Render_EnabledTypes		= 4				! int		Which list types are enabled
Render_TargetWidth		= 8				! int
Render_TargetHeight		= 12				! int
Render_TargetFormat		= 16				! int
Render_TargetPitch		= 20				! int
Render_TilesX			= 24				! int
Render_TilesY			= 28				! int
Render_NativeBufferSize		= 32				! int
Render_State			= 36				! RenderState
Render_SIZEOF			= 40+RenderState_SIZEOF


RenderBuffer_ScreenBase		= 0				! int
RenderBuffer_TileArrayBase	= 4				! int
RenderBuffer_PPMatrixBase	= 8				! int
RenderBuffer_PrimAllocStart	= 12				! int
RenderBuffer_PrimAllocEnd	= 16				! int
RenderBuffer_PPAllocStart	= 20				! int
RenderBuffer_PPAllocEnd		= 24				! int
RenderBuffer_BGPlaneAddr	= 28				! int
RenderBuffer_SIZEOF		= 64

