
		.INCLUDE "SH4_Regs.i"

		.SECTION .text

	
!---------------------------------------------------------------------
! void stdClearMem(void* start, int length)
!
! Writes zeroes to a block of memory, using 1/2/4-byte writes
!	

		.GLOBL	_stdClearMem
		.ALIGN	5
_stdClearMem:
		mov	#1,r0
		mov	#0,r1
		tst	r0,r4
		bt	_stdClearMem_nLeadingByte
		mov.b	r1,@r4
		add	#1,r4
		add	#-1,r5
_stdClearMem_nLeadingByte:

		mov	#2,r0
		mov	#0,r1
		cmp/hs	r0,r5
		bf	_stdClearMem_checkTrailingByte
		tst	r0,r4
		bt	_stdClearMem_nLeadingWord
		mov.w	r1,@r4
		add	#2,r4
		add	#-2,r5
_stdClearMem_nLeadingWord:

		mov	#4,r0
		cmp/hs	r0,r5
		bf	_stdClearMem_checkTrailingWord
		mov	r5,r3
		shlr2	r3
_stdClearMem_long:
		dt	r3
		mov.l	r1,@r4
		add	#-4,r5
		bf/s	_stdClearMem_long
		add	#4,r4

_stdClearMem_checkTrailingWord:
		mov	#2,r0
		cmp/hs	r0,r5
		bf	_stdClearMem_nTrailingWord
		mov.w	r1,@r4
		add	#2,r4
		add	#-2,r5
_stdClearMem_nTrailingWord:

_stdClearMem_checkTrailingByte:
		tst	r5,r5
		bt	_stdClearMem_nTrailingByte
		mov.b	r1,@r4
_stdClearMem_nTrailingByte:

		rts
		nop


